%global with_devel 1
%global with_bundled 0
%global with_debug 0
# tests requires golang-docs which is not present on gcc-go archs
%global with_check 1
%global with_unit_test 1

%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         golang
%global repo            tools
# https://github.com/golang/tools/
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/tools
%global commit          1cdaff4a02c554c9fb39dda0b56241c5f0949d91
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%global gc_import_path  code.google.com/p/go.tools
%global x_name          golang-golangorg-tools

%global go_arch %(go env GOHOSTARCH)
%global go_root %(go env GOROOT)

Name:           golang-googlecode-tools
Version:        0
Release:        %mkrel 0.1.git%{shortcommit}
Summary:        Supplementary tools and packages for Go
License:        BSD
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Group:          Development/Other

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}

%package -n golang-godoc
Summary:        Documentation tool for the Go programming language
Provides:       golang(%{gc_import_path}/cmd/godoc) = %{version}-%{release}
Epoch:          1
%description -n golang-godoc
Godoc extracts and generates documentation for Go programs.
Obsoletes:      golang-godoc = 1.1.2


%package -n golang-vet
Summary:        Go programming language code vetting tool
Provides:       golang(%{gc_import_path}/cmd/vet) = %{version}-%{release}
%description -n golang-vet
Vet examines Go source code and reports suspicious constructs, such as
Printf calls whose arguments do not align with the format string. Vet
uses heuristics that do not guarantee all reports are genuine problems,
but it can find errors not caught by the compilers.


%package -n golang-cover
Summary:        Code coverage tool for the Go programming language
Provides:       golang(%{gc_import_path}/cmd/cover) = %{version}-%{release}
%description -n golang-cover
Cover is a program for analyzing the coverage profiles generated by 'go
test -coverprofile=cover.out'.


%package -n golang-gotype
Summary:        Go programming language source code analysis tool
Provides:       golang(%{gc_import_path}/cmd/gotype) = %{version}-%{release}
%description -n golang-gotype
The gotype command does syntactic and semantic analysis of Go files and
packages like the front-end of a Go compiler. Errors are reported if the
analysis fails; otherwise gotype is quiet.


%package -n golang-html2article
Summary:        Tool for creating articles from HTML files
Provides:       golang(%{gc_import_path}/cmd/html2article) = %{version}-%{release}
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  golang(golang.org/x/net/html/atom)
%description -n golang-html2article
This program takes an HTML file and outputs a corresponding article file
in present format. See: code.google.com/p/go.tools/present

%package        callgraph
Summary:        Tool for reporting the call graph of a Go program
Provides:       golang(%{gc_import_path}/cmd/callgraph) = %{version}-%{release}
%description    callgraph
Tool for reporting the call graph of a Go program.

%package        digraph
Summary:        Tool performs queries over unlabelled directed graphs represented in text form
Provides:       golang(%{gc_import_path}/cmd/digraph) = %{version}-%{release}
%description    digraph
The digraph command performs queries over unlabelled directed graphs represented in text form.

%package        gorename
Summary:        Tool for reporting the call graph of a Go program
Provides:       golang(%{gc_import_path}/cmd/gorename) = %{version}-%{release}
%description    gorename
Tool for reporting the call graph of a Go program.

%package        stringer
Summary:        Tool to automate the creation of methods that satisfy the fmt.Stringer interface
Provides:       golang(%{gc_import_path}/cmd/stringer) = %{version}-%{release}
%description    stringer
tool to automate the creation of methods that satisfy the fmt.Stringer interface.

%package        godex
Summary:        Dump exported information for Go programming language
Provides:       golang(%{gc_import_path}/cmd/godex) = %{version}-%{release}
%description    godex
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/godex for more information.


%package        benchcmp
Summary:        Displays performance changes between benchmarks for the Go programming language
Provides:       golang(%{gc_import_path}/cmd/benchcmp) = %{version}-%{release}
%description    benchcmp
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/benchcmp for more information.


%package        eg
Summary:        Example-based refactoring for the Go programming language
Provides:       golang(%{gc_import_path}/cmd/eg) = %{version}-%{release}
%description    eg
%{summary}.

See `eg -help` for more information.


%package        oracle
Summary:        Go programming language oracle
Provides:       golang(%{gc_import_path}/cmd/oracle) = %{version}-%{release}
%description    oracle
%{summary}.

See http://golang.org/s/oracle-user-manual for more information.


%package        goimports
Summary:        Go programming language import line formatter
Provides:       golang(%{gc_import_path}/cmd/goimports) = %{version}-%{release}
%description    goimports
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/goimports for more information.


%package        present
Summary:        Slide and Article Presentation
Provides:       golang(%{gc_import_path}/cmd/present) = %{version}-%{release}
%description    present
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/present for more information.


%package        ssadump
Summary:        Display and interpreting SSA form of Go programs
Provides:       golang(%{gc_import_path}/cmd/ssadump) = %{version}-%{release}
%description    ssadump
%{summary}.

%package devel
Summary:        Libraries of supplementary Go tools
BuildArch:      noarch

Provides:       golang(%{gc_import_path}/benchmark/parse) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/blog) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/blog/atom) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/fruit.io/banana) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/fruit.io/orange) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/fruit.io/pear) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/new.com/one) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/old.com/one) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/titanic.biz/bar) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/fiximports/testdata/src/titanic.biz/foo) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/vet/testdata) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cmd/vet/whitelist) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/container/intsets) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/cover) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/ast/astutil) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/buildutil) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/callgraph) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/callgraph/cha) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/callgraph/rta) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/callgraph/static) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/exact) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/gccgoimporter) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/gccgoimporter/testdata) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/gcimporter) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/gcimporter/testdata) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/importer) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/loader) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/loader/testdata) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/pointer) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/ssa) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/ssa/interp) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/ssa/ssautil) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/types) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/types/typeutil) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/go/vcs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/analysis) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/redirect) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/static) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/util) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/vfs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/vfs/gatefs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/vfs/httpfs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/vfs/mapfs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/godoc/vfs/zipfs) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/imports) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/oracle) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/oracle/serial) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/oracle/testdata/src/describe) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/oracle/testdata/src/describe-json) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/oracle/testdata/src/lib) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/playground) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/playground/socket) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/present) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/eg) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/eg/testdata) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/importgraph) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/lexical) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/rename) = %{version}-%{release}
Provides:       golang(%{gc_import_path}/refactor/satisfy) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go tools libraries with code.google.com/p/ imports.

%package -n %{x_name}-devel
Summary:        Libraries of supplementary Go tools
BuildArch:      noarch

Provides:       golang(%{import_path}/benchmark/parse) = %{version}-%{release}
Provides:       golang(%{import_path}/blog) = %{version}-%{release}
Provides:       golang(%{import_path}/blog/atom) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/fruit.io/banana) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/fruit.io/orange) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/fruit.io/pear) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/new.com/one) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/old.com/one) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/titanic.biz/bar) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/fiximports/testdata/src/titanic.biz/foo) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/vet/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/cmd/vet/whitelist) = %{version}-%{release}
Provides:       golang(%{import_path}/container/intsets) = %{version}-%{release}
Provides:       golang(%{import_path}/cover) = %{version}-%{release}
Provides:       golang(%{import_path}/go/ast/astutil) = %{version}-%{release}
Provides:       golang(%{import_path}/go/buildutil) = %{version}-%{release}
Provides:       golang(%{import_path}/go/callgraph) = %{version}-%{release}
Provides:       golang(%{import_path}/go/callgraph/cha) = %{version}-%{release}
Provides:       golang(%{import_path}/go/callgraph/rta) = %{version}-%{release}
Provides:       golang(%{import_path}/go/callgraph/static) = %{version}-%{release}
Provides:       golang(%{import_path}/go/exact) = %{version}-%{release}
Provides:       golang(%{import_path}/go/gccgoimporter) = %{version}-%{release}
Provides:       golang(%{import_path}/go/gccgoimporter/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/go/gcimporter) = %{version}-%{release}
Provides:       golang(%{import_path}/go/gcimporter/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/go/importer) = %{version}-%{release}
Provides:       golang(%{import_path}/go/loader) = %{version}-%{release}
Provides:       golang(%{import_path}/go/loader/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/go/pointer) = %{version}-%{release}
Provides:       golang(%{import_path}/go/ssa) = %{version}-%{release}
Provides:       golang(%{import_path}/go/ssa/interp) = %{version}-%{release}
Provides:       golang(%{import_path}/go/ssa/ssautil) = %{version}-%{release}
Provides:       golang(%{import_path}/go/types) = %{version}-%{release}
Provides:       golang(%{import_path}/go/types/typeutil) = %{version}-%{release}
Provides:       golang(%{import_path}/go/vcs) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/analysis) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/redirect) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/static) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/util) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/vfs) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/vfs/gatefs) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/vfs/httpfs) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/vfs/mapfs) = %{version}-%{release}
Provides:       golang(%{import_path}/godoc/vfs/zipfs) = %{version}-%{release}
Provides:       golang(%{import_path}/imports) = %{version}-%{release}
Provides:       golang(%{import_path}/oracle) = %{version}-%{release}
Provides:       golang(%{import_path}/oracle/serial) = %{version}-%{release}
Provides:       golang(%{import_path}/oracle/testdata/src/describe) = %{version}-%{release}
Provides:       golang(%{import_path}/oracle/testdata/src/describe-json) = %{version}-%{release}
Provides:       golang(%{import_path}/oracle/testdata/src/lib) = %{version}-%{release}
Provides:       golang(%{import_path}/playground) = %{version}-%{release}
Provides:       golang(%{import_path}/playground/socket) = %{version}-%{release}
Provides:       golang(%{import_path}/present) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/eg) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/eg/testdata) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/importgraph) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/lexical) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/rename) = %{version}-%{release}
Provides:       golang(%{import_path}/refactor/satisfy) = %{version}-%{release}

%description -n %{x_name}-devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go tools libraries with golang.org/x/ imports.

%if 0%{?with_unit_test} && 0%{?with_devel}
%package -n %{x_name}-unit-test-devel
Summary:         Unit tests for %{name} package

%if 0%{?with_check}
BuildRequires:   golang-docs
%endif

# test subpackage tests code from devel subpackage
Requires:        %{x_name}-devel = %{version}-%{release}
Requires:        golang-docs

%description -n %{x_name}-unit-test-devel
%{summary}

This package contains unit tests for %{project}/%{repo}.
%endif

%prep
%setup -q -n %{repo}-%{commit}
#%patch0 -p1

%build
# code.google.com/p/goauth2/oauth, oauth package has been moved to root directory
# but does not contain CacheFile symbol anymore
rm -rf dashboard/coordinator

mkdir _build
pushd _build

mkdir -p src/$(dirname %{import_path})
ln -s $(dirs +1 -l) src/%{import_path}
export GOPATH=$(pwd):%{gopath}
for cmd in \
  benchcmp \
  callgraph \
  cover \
  digraph \
  eg \
  godex \
  godoc \
  goimports \
  gorename \
  gotype \
  html2article \
  oracle \
  present \
  ssadump \
  stringer \
  vet
do
  go build -v -a %{import_path}/cmd/$cmd
done

popd

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 _build/benchcmp %{buildroot}%{_bindir}
install -p -m 755 _build/callgraph %{buildroot}%{_bindir}
install -p -m 755 _build/cover %{buildroot}%{_bindir}
install -p -m 755 _build/digraph %{buildroot}%{_bindir}
install -p -m 755 _build/eg %{buildroot}%{_bindir}
install -p -m 755 _build/godex %{buildroot}%{_bindir}
install -p -m 755 _build/godoc %{buildroot}%{_bindir}
install -p -m 755 _build/goimports %{buildroot}%{_bindir}
install -p -m 755 _build/gorename %{buildroot}%{_bindir}
install -p -m 755 _build/gotype %{buildroot}%{_bindir}
install -p -m 755 _build/html2article %{buildroot}%{_bindir}
install -p -m 755 _build/oracle %{buildroot}%{_bindir}
install -p -m 755 _build/present %{buildroot}%{_bindir}
install -p -m 755 _build/ssadump %{buildroot}%{_bindir}
install -p -m 755 _build/stringer %{buildroot}%{_bindir}
install -p -m 755 _build/vet %{buildroot}%{_bindir}

# https://bugzilla.redhat.com/show_bug.cgi?id=1129281
install -d %{buildroot}%{go_root}/pkg/tool/linux_%{go_arch}
ln -s %{_bindir}/cover %{buildroot}%{go_root}/pkg/tool/linux_%{go_arch}/cover
ln -s %{_bindir}/vet %{buildroot}%{go_root}/pkg/tool/linux_%{go_arch}/vet

# source codes for building projects
%if 0%{?with_devel}
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{gc_import_path}/

echo "%%dir %%{gopath}/src/%%{import_path}/." >> x_devel.file-list
echo "%%dir %%{gopath}/src/%%{gc_import_path}/." >> gc_devel.file-list

# find all *.go but no *_test.go files and generate devel.file-list
for ext in go s; do
    for file in $(find . -iname "*.${ext}" \! -iname "*_test.go") ; do
        install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
        cp $file %{buildroot}/%{gopath}/src/%{import_path}/$file
        echo "%%{gopath}/src/%%{import_path}/$file" >> x_devel.file-list

        install -d -p %{buildroot}/%{gopath}/src/%{gc_import_path}/$(dirname $file)
        cp $file %{buildroot}/%{gopath}/src/%{gc_import_path}/$file
        echo "%%{gopath}/src/%%{gc_import_path}/$file" >> gc_devel.file-list
    done
done

pushd %{buildroot}/%{gopath}/src/%{gc_import_path}/
sed -i 's/"golang\.org\/x\//"code\.google\.com\/p\/go\./g' \
        $(find . -name '*.go')
popd
%endif

# testing files for this project
%if 0%{?with_unit_test} && 0%{?with_devel}
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
# find all *_test.go files and generate unit-test.file-list
for file in $(find . -iname "*_test.go"); do
    echo "%%dir %%{gopath}/src/%%{import_path}/$(dirname $file)" >> x_devel.file-list
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> unit-test-devel.file-list
done
cp -r go/types/testdata %{buildroot}/%{gopath}/src/%{import_path}/go/types/.
echo "%%{gopath}/src/%%{import_path}/go/types/testdata" >> unit-test-devel.file-list
cp -r oracle/testdata %{buildroot}/%{gopath}/src/%{import_path}/oracle/.
echo "%%{gopath}/src/%%{import_path}/oracle/testdata" >> unit-test-devel.file-list
cp -r refactor/eg/testdata %{buildroot}/%{gopath}/src/%{import_path}/refactor/eg/.
echo "%%{gopath}/src/%%{import_path}/refactor/eg/testdata" >> unit-test-devel.file-list
%endif

%if 0%{?with_devel}
sort -u -o x_devel.file-list x_devel.file-list
sort -u -o gc_devel.file-list gc_devel.file-list
%endif

%check
%if 0%{?with_check} && 0%{?with_unit_test} && 0%{?with_devel}
%if ! 0%{?with_bundled} 
export GOPATH=%{buildroot}/%{gopath}:%{gopath}
%else
export GOPATH=%{buildroot}/%{gopath}:$(pwd)/Godeps/_workspace:%{gopath}:/usr/include:/usr/lib64 
%endif

%if ! 0%{?gotest:1}
%global gotest go test
%endif

%gotest %{import_path}/benchmark/parse
%gotest %{import_path}/cmd/benchcmp
#%%gotest %%{import_path}/cmd/callgraph
%gotest %{import_path}/cmd/callgraph/testdata/src/pkg
%gotest %{import_path}/cmd/cover
%gotest %{import_path}/cmd/digraph
%gotest %{import_path}/cmd/fiximports
#%%gotest %{import_path}/cmd/godoc
%gotest %{import_path}/cmd/stringer
%gotest %{import_path}/cmd/vet
%gotest %{import_path}/container/intsets
%gotest %{import_path}/go/ast/astutil
%gotest %{import_path}/go/buildutil
%gotest %{import_path}/go/callgraph/cha
%gotest %{import_path}/go/callgraph/rta
%gotest %{import_path}/go/callgraph/static
%gotest %{import_path}/go/exact
#%%gotest %{import_path}/go/gccgoimporter
%gotest %{import_path}/go/gcimporter
# fails on ppc
#%%ifnarch %{power64}
#%%gotest %{import_path}/go/importer
#%%endif
#%%gotest %{import_path}/go/loader
%gotest %{import_path}/go/pointer
#%%gotest %{import_path}/go/pointer/testdata
%gotest %{import_path}/go/ssa
#%%gotest %{import_path}/go/ssa/interp
#%%gotest %{import_path}/go/ssa/interp/testdata
%gotest %{import_path}/go/ssa/ssautil
# ** Test killed with quit: ran too long (10m0s).
#%%gotest %{import_path}/go/types
%gotest %{import_path}/go/types/typeutil
#%%gotest %{import_path}/go/vcs
%gotest %{import_path}/godoc
%gotest %{import_path}/godoc/vfs/mapfs
%gotest %{import_path}/imports
%gotest %{import_path}/oracle
%gotest %{import_path}/present
%gotest %{import_path}/refactor/eg
# graph_test.go:73: fmt and io are not mutually reachable despite being in the same SCC
#%%gotest %{import_path}/refactor/importgraph
%gotest %{import_path}/refactor/rename
%endif

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files -n golang-godoc
%defattr(-,root,root,-)
%{_bindir}/godoc

%files -n golang-vet
%defattr(-,root,root,-)
%{_bindir}/vet
%{go_root}/pkg/tool/linux_%{go_arch}/vet

%files -n golang-cover
%defattr(-,root,root,-)
%{_bindir}/cover
%{go_root}/pkg/tool/linux_%{go_arch}/cover

%files -n golang-gotype
%defattr(-,root,root,-)
%{_bindir}/gotype

%files -n golang-html2article
%defattr(-,root,root,-)
%{_bindir}/html2article

%files    godex
%defattr(-,root,root,-)
%{_bindir}/godex

%files    callgraph
%defattr(-,root,root,-)
%{_bindir}/callgraph

%files    digraph
%defattr(-,root,root,-)
%{_bindir}/digraph

%files    gorename
%defattr(-,root,root,-)
%{_bindir}/gorename

%files    stringer
%defattr(-,root,root,-)
%{_bindir}/stringer

%files    eg
%defattr(-,root,root,-)
%{_bindir}/eg

%files    benchcmp
%defattr(-,root,root,-)
%{_bindir}/benchcmp

%files    oracle
%defattr(-,root,root,-)
%{_bindir}/oracle

%files    goimports
%defattr(-,root,root,-)
%{_bindir}/goimports

%files    present
%defattr(-,root,root,-)
%{_bindir}/present

%files    ssadump
%defattr(-,root,root,-)
%{_bindir}/ssadump

%if 0%{?with_devel}
%files devel -f gc_devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README

%files -n %{x_name}-devel -f x_devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README
%endif

%if 0%{?with_unit_test} && 0%{?with_devel}
%files -n %{x_name}-unit-test-devel -f unit-test-devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README
%endif



%changelog
* Sat May 07 2016 joequant <joequant> 0-0.1.git1cdaff4.mga6
+ Revision: 1010371
- imported package golang-googlecode-tools

